#ifndef XSOUNDDRIVERGLOBALS_H
#define XSOUNDDRIVERGLOBALS_H

#include "xasset.h"
#include "xaudioreverbsettings.h"
#include "xstring.h"

class XSoundDriverGlobals : public XAsset
{
public:
    XSoundDriverGlobals();
    ~XSoundDriverGlobals();

    virtual void Clear() override;
    virtual void ParseData(XDataStream* aStream) override;

private:
    XAudioReverbSettings *mAudioReverbSettings;
    XString *mName;
};

#endif // XSOUNDDRIVERGLOBALS_H
